Skip to content

Get paginated list of customers with search and filtering

GET
/openapi/customer/paged
curl --request GET \
--url 'https://open-api.replyco.com/openapi/customer/paged?page=1&count=10&asc=true' \
--header 'Authorization: Bearer <token>'

Returns a paginated list of customers for the authenticated user’s company.

Search capabilities: The term parameter searches across multiple fields:

  • First name
  • Last name
  • Email address
  • Phone number
  • Marketplace customer ID
  • Marketplace name

Available sort fields:

  • Firstname
  • Lastname
  • Email
  • Phone
  • CreatedDate
  • Marketplace
  • MarketCustomerId

Pagination limits:

  • Default page size: 10
  • Maximum page size: 100

Use cases:

  • Customer lookup and management
  • Customer support contact search
  • Integration with CRM systems

Sample request:

GET /customer/paged?page=1&count=20&term=john.doe@example.com&sort=CreatedDate&asc=false
page
integer format: int32
default: 1

Page number (default: 1, min: 1)

count
integer format: int32
default: 10

Items per page (default: 10, min: 1, max: 100)

term
string

Search term to filter customers by name, email, phone, marketplace ID, or marketplace

sort
string

Field name to sort by (Firstname, Lastname, Email, Phone, CreatedDate, Marketplace)

asc
boolean
default: true

Sort order: true for ascending, false for descending (default: true)

Returns the paginated customer list

Media typeapplication/json
object
totalRecords
integer format: int32
pageSize
integer format: int32
pagesCount
integer format: int32
currentPage
integer format: int32
data
Array<object>
nullable

IntegrationId and ShopType are required.

object
id
string format: uuid
firstName
string
nullable
lastName
string
nullable
marketCustomerId
string
nullable
email
string
nullable
phone
string
nullable
integrationId
required
string format: uuid
marketplace
required
integer format: int32
Allowed values: 0 - PlaceholderDoNotUse 1 - Ebay 2 - Etsy 3 - Mail 4 - BigCommerce 5 - WooCommerce 6 - Magento 7 - Shopify 8 - Linnworks 10 - Gmail 11 - Telegram 12 - Widget 13 - Cdiscount 14 - Facebook 15 - Fruugo 16 - AmazonSP 17 - Instagram 18 - Wish 19 - ChannelAdvisor 20 - CustomIntegration 21 - Outlook 22 - Veeqo 23 - Aircall 24 - Katana 25 - Billbee 26 - Kaufland 27 - WhatsApp 28 - ShopLine 29 - Brightpearl 30 - TikTok 31 - Otto 32 - RestApiEbay
customerAddress
object
id
string format: uuid
addressLine1
string
nullable
addressLine2
string
nullable
addressLine3
string
nullable
city
string
nullable
country
string
nullable
postalCode
string
nullable
state

State or region

string
nullable
phone
string
nullable
notes

Related Notes to Customer

Array<object>
nullable
object
id
string format: uuid
note
required
string
>= 1 characters
username
string
nullable

Example

{
"data": [
{
"marketplace": "0 - PlaceholderDoNotUse"
}
]
}

Invalid pagination parameters (e.g., page size exceeds 100)

User is not authenticated or authorized